package zacksolutions;

import org.testng.Assert;
import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;
import zacksolutions.base.Initialization;
import zacksolutions.pages.HomePage;

public class HomePageTest extends Initialization {
    HomePage homePage;
    public HomePageTest(){
        super();
    }
    @BeforeTest
    public void setUp(){
        BrowserInit();
        homePage = new HomePage();
    }
    @Test
    public void TextTest() throws InterruptedException {
        HomePage hp = new HomePage();
        hp.insertText();
        hp.textConfirmation();
        Assert.assertEquals(hp.textConfirmation(), "4 8 15 16 23 42");
    }
    @AfterTest
    public void tearDown(){
        driver.close();
    }
}
